# $Revision: 1.14 $, $Date: 2009/03/13 20:17:43 $
Summary:	Nameserver information handler
Summary(pl.UTF-8):	Program obsługujący informacje o serwerach nazw
Name:		resolvconf
Version:	1.43
Release:	1
License:	GPL v2
Group:		Base
Source0:	ftp://ftp.debian.org/debian/pool/main/r/resolvconf/%{name}_%{version}.tar.gz
# Source0-md5:	15faef2aba7b99782f3b0b8b5d30f80a
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-pld.patch
Requires:	rc-scripts
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_exec_prefix	/
%define		_libdir			/lib

%description
Resolvconf is a framework for keeping track of the system's
information about currently available nameservers. It sets itself up
as the intermediary between programs that supply nameserver
information and programs that use nameserver information.

%description -l pl.UTF-8
resolvconf to narzędzie do śledzenia informacji systemu o aktualnie
dostępnych serwerach nazw. Program wstawia się jako pośrednik między
programami dostarczającymi informacje o serwerach nazw a programami
wykorzystującymi te informacje.

%prep
%setup -q
%patch0 -p1
touch etc/resolvconf/resolv.conf.d/tail

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{sysconfig,rc.d/init.d},%{_sysconfdir}/%{name}/run/interface,%{_libdir}/%{name},%{_sbindir},%{_mandir}/{ru/,}man{5,8}}

cp -a etc/%{name}/* $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install bin/resolvconf $RPM_BUILD_ROOT%{_sbindir}
install bin/list-records $RPM_BUILD_ROOT%{_libdir}/%{name}
cp -a man/interface-order.5 $RPM_BUILD_ROOT%{_mandir}/man5
cp -a man/resolvconf.8 $RPM_BUILD_ROOT%{_mandir}/man8
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
touch $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/run/resolv.conf
touch $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/run/enable-updates

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_sbindir}/resolvconf
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%dir %{_libdir}/resolvconf
%attr(755,root,root) %{_libdir}/resolvconf/list-records
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/resolv.conf.d
%dir %{_sysconfdir}/%{name}/update.d
%dir %{_sysconfdir}/%{name}/update-libc.d
%dir %{_sysconfdir}/%{name}/run
%dir %{_sysconfdir}/%{name}/run/interface
%ghost %{_sysconfdir}/%{name}/run/resolv.conf
%ghost %{_sysconfdir}/%{name}/run/enable-updates
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/interface-order
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/resolv.conf.d/base
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/resolv.conf.d/head
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/resolv.conf.d/tail
%attr(755,root,root) %{_sysconfdir}/%{name}/update.d/bind
%attr(755,root,root) %{_sysconfdir}/%{name}/update.d/dnscache
%attr(755,root,root) %{_sysconfdir}/%{name}/update.d/libc
%{_mandir}/man5/interface-order.5*
%{_mandir}/man8/resolvconf.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: resolvconf.spec,v $
Revision 1.14  2009/03/13 20:17:43  duddits
- up to 1.43

Revision 1.13  2008/11/24 19:39:10  glen
- add sysconfig

Revision 1.12  2008/11/24 19:26:00  glen
- fix lib64 problem
- ghost more files for cleaner removal

Revision 1.11  2008/11/24 18:57:43  glen
- update to 1.42

Revision 1.10  2008/05/31 19:16:09  qboosh
- pl

Revision 1.9  2008-01-03 11:22:37  glen
- rel 2

Revision 1.8  2007-12-05 14:41:09  glen
- rel 1

Revision 1.7  2007-11-27 22:31:21  glen
- some files are still config

Revision 1.6  2007-11-26 23:48:18  glen
- perms and fixes

Revision 1.5  2007-11-26 22:38:06  glen
- package run dir

Revision 1.4  2007-11-26 22:30:45  glen
- package list-records properly

Revision 1.3  2007-11-26 22:28:12  glen
- requires rc-scripts for run-parts script

Revision 1.2  2007-11-26 22:23:32  glen
- install man

Revision 1.1  2007-11-26 22:16:35  glen
- from debian
